{
  "name": "@bitspur/react-keycloak-web",
  "version": "4.0.14",
  "license": "MIT",
  "description": "React bindings for Keycloak javascript adapter",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/react-keycloak/react-keycloak.git"
  },
  "author": "Clay Risser <clayrisser@gmail.com>",
  "contributors": [
    "Mattia Panzeri <mattia.panzeri93@gmail.com>"
  ],
  "bugs": {
    "url": "https://github.com/react-keycloak/react-keycloak/issues"
  },
  "homepage": "https://github.com/react-keycloak/react-keycloak#readme",
  "keywords": [
    "react",
    "keycloak",
    "keycloak-js"
  ],
  "main": "lib-commonjs/index.js",
  "jsnext:main": "lib/index.js",
  "module": "lib/index.js",
  "typings": "lib/index.d.ts",
  "files": [
    "lib",
    "lib-commonjs"
  ],
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "clean": "rimraf lib lib-commonjs",
    "prebuild": "npm run clean",
    "compile:commonjs": "tsc --module commonjs --outDir lib-commonjs",
    "compile:esnext": "tsc --module esnext --outDir lib",
    "compile": "run-p compile:*",
    "fixmaps:lib": "tweak_sourcemap_paths -a --include 'lib/**/*.js.map' 'lib-commonjs/**/*.js.map'",
    "fixmaps": "run-p fixmaps:*",
    "build": "run-s compile fixmaps",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "coveralls": "cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js",
    "prepublishOnly": "npm run build && cp ../../LICENSE.md ."
  },
  "peerDependencies": {
    "@bitspur/keycloak-js": ">=21.1.0-3",
    "react": ">=16.8",
    "react-dom": ">=16.8",
    "typescript": ">=3.8"
  },
  "peerDependenciesMeta": {
    "typescript": {
      "optional": true
    }
  },
  "dependencies": {
    "@babel/runtime": "^7.21.5",
    "@bitspur/react-keycloak-core": "4.0.14",
    "hoist-non-react-statics": "^3.3.2"
  },
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "jsdom"
  }
}
